Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005958 [JEDI VCL] 00 JVCL Components crash always 2012-08-18 08:26 2012-09-10 14:15
Reporter blake View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005958: Strings longer than 255 characters cause exception
Description The DrawTextInRect method allocates a 256-byte array for a string, but doesn't check the string length. If the szStr is set to a larger value, the function works acceptably for larger strings.

  procedure DrawTextInRect(Rect: TRect; Align: Word; StrListNum: Integer);
  var
    FontColor: TColor;
    szStr: array[0..255] of Char;
    Len: Word;
    TextStyle: TglTextStyle;
  begin
    Dec(Rect.Right, 2);
    // FillMemory(@szStr,255,0);
    if StrListNum = -1 then
      StrPCopy(szStr, Items[Index])
    else
      StrPCopy(szStr, Buttons[StrListNum - 1]);
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020118)
AHUser (developer)
2012-08-19 10:18

Fixed in svn revision 13400.

- Issue History
Date Modified Username Field Change
2012-08-18 08:26 blake New Issue
2012-08-19 10:18 AHUser Note Added: 0020118
2012-08-19 10:18 AHUser Status new => resolved
2012-08-19 10:18 AHUser Fixed in Version => Daily / SVN
2012-08-19 10:18 AHUser Resolution open => fixed
2012-08-19 10:18 AHUser Assigned To => AHUser
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker